cURL
curl -X POST "https://api.cartesia.ai/agents/folders" \
-H "Authorization: Bearer $CARTESIA_API_KEY" \
-H "Cartesia-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{"name": "Product Docs", "parent_id": null}'import requests
url = "https://api.cartesia.ai/agents/folders"
payload = {
"name": "<string>",
"parent_id": "<string>"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', parent_id: '<string>'})
};
fetch('https://api.cartesia.ai/agents/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"parent_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}Folders
フォルダを作成
Create a knowledge base folder
POST
/
agents
/
folders
cURL
curl -X POST "https://api.cartesia.ai/agents/folders" \
-H "Authorization: Bearer $CARTESIA_API_KEY" \
-H "Cartesia-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{"name": "Product Docs", "parent_id": null}'import requests
url = "https://api.cartesia.ai/agents/folders"
payload = {
"name": "<string>",
"parent_id": "<string>"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', parent_id: '<string>'})
};
fetch('https://api.cartesia.ai/agents/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"parent_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}承認
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
ヘッダー
API version header.
利用可能なオプション:
2026-03-01 例:
"2026-03-01"
ボディ
application/json
レスポンス
Folder created.
The ID of the folder.
The ID of the parent folder, or null for top-level folders.
The folder's name.
When the folder was created.
Agents that have access to this folder.
Show child attributes
Show child attributes
Documents inside this folder.
Show child attributes
Show child attributes
このページは役に立ちましたか?
⌘I